Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jason.asSemantics
Enum GoalListener.GoalStates

    java.lang.Object
      java.lang.Enum<GoalListener.GoalStates>
          jason.asSemantics.GoalListener.GoalStates

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GoalListener.GoalStates>

Enclosing interface:
  GoalListener

    public static enum GoalListener.GoalStates

extends java.lang.Enum<GoalListener.GoalStates>

Enum Constant Summary
`failed`
`finished`
`resumed`
`started`
`suspended`

Method Summary
`static GoalListener.GoalStates` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GoalListener.GoalStates[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### started

    public static final GoalListener.GoalStates started

### suspended

    public static final GoalListener.GoalStates suspended

### resumed

    public static final GoalListener.GoalStates resumed

### finished

    public static final GoalListener.GoalStates finished

### failed

    public static final GoalListener.GoalStates failed

Method Detail

### values

    public static GoalListener.GoalStates[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GoalListener.GoalStates c : GoalListener.GoalStates.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GoalListener.GoalStates valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD